Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.measurable
Interface MeasurableCapabilityMBean

All Superinterfaces:
  PeriodicWatchMBean, ThresholdWatchMBean, WatchMBean

All Known Subinterfaces:
  DiskSpaceMBean

All Known Implementing Classes:
  CPU, DiskSpace, MeasurableCapability, Memory

    public interface MeasurableCapabilityMBean

extends PeriodicWatchMBean

Provides a standard MBean to use when administering a MeasurableCapability using JMX

Method Summary
`int` | `getSampleSize()` Get the sampleSize property
`double` | `getUtilization()` Provide a method to return the utilization associated with this MeasurableCapability
`void` | `setSampleSize(int sampleSize)` Set the sampleSize for the MeasurableCapability

Methods inherited from interface org.jini.rio.watch.PeriodicWatchMBean
`checkValue, getPeriod, setPeriod, start, stop`

Methods inherited from interface org.jini.rio.watch.ThresholdWatchMBean
`getBreachedCount, getClearedCount, getCurrentHighThreshold, getCurrentLowThreshold, getHighThreshold, getLowThreshold, setCurrentHighThreshold, setCurrentLowThreshold`

Methods inherited from interface org.jini.rio.watch.WatchMBean
`clear, getCalculables, getId, getLastCalculableValue`

Method Detail

### setSampleSize

    void setSampleSize(int sampleSize)

  Set the sampleSize for the MeasurableCapability

  Parameters:
    `sampleSize` - The number of samples the MeasurableCapability will accumulate in the period defined by the period in order to produce a result.

### getSampleSize

    int getSampleSize()

  Get the sampleSize property

  Returns:
    The number of samples the MeasurableCapability will accumulate in the period defined by the period in order to produce a result.

### getUtilization

    double getUtilization()

  Provide a method to return the utilization associated with this MeasurableCapability

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.